For the complete documentation index, see llms.txt. This page is also available as Markdown.

Accounts & Transactions

READ Scope

List all Accounts

get

Retrieves the list of all available bank and cash accounts

Authorizations
AuthorizationstringRequired

API Key Authentication

Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
get
/v1/accounts
200

OK

Get an Account by ID

get

Retrieves an account by its unique ID

Authorizations
AuthorizationstringRequired

API Key Authentication

Path parameters
idstring · uuidRequired
Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
get
/v1/accounts/{id}
200

OK

List all Transactions

get

Retrieves the list of transactions in all accounts bank and cash accounts

Authorizations
AuthorizationstringRequired

API Key Authentication

Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
get
/v1/transactions
200

OK

Get a Transaction by ID

get

Retrieves a single transaction by its unique ID

Authorizations
AuthorizationstringRequired

API Key Authentication

Path parameters
idstring · uuidRequired
Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
get
/v1/transactions/{id}
200

OK

WRITE Scope

Create a new Account

post

Creates a new bank or cash account. Accounts created with this endpoint are manually tracked bank accounts. To integrate your existing bank account into Nuvio, please contact with support team.

Authorizations
AuthorizationstringRequired

API Key Authentication

Body
namestring · min: 1Required

Account name

ibanstringOptional

IBAN of this bank account.

currencystring · min: 1Required

3-letter currency code for the account. You can find available currencies here.

openingBalancenumber · doubleOptional

Opening Balance to start with an existing account. It should be a decimal number with 2 decimal points. eg. 1059.34

Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
post
/v1/accounts
200

OK

Add a new Transaction

post

Adds a new transaction into an existing account.

Authorizations
AuthorizationstringRequired

API Key Authentication

Body
accountIdstring · uuidRequired

32-character unique ID of the account that the transaction belongs.

descriptionstring · min: 1Required

Description of the transaction

transactionTimestampinteger · int64Optional

Epoch timestamp for the transaction date and time. If you don't know the timestamp, you can also provice transactionDate. If both of the fields are provided, transactionTimestamp will be used.

transactionDatestringOptional

Datetime with timezone for the transaction date and time. You can also provide transactionTimestamp. If both of the fields are provided, transactionTimestamp will be used.

transactionTypestringOptional

Type of the transaction. If it is an incoming money, use Money In; if it is an outgoing money, use Money Out

mathcingEntityIdstring · uuid · nullableOptional

32-character unique ID of the customer or supplier of the transaction's sender or receiver. If you don't know the ID, you can also provide mathcingEntityCode instead of this field. If both of them are provided, matchingEntityId will be used only.

mathcingEntityCodestringOptional

User-generated custom customer or supplier code of the transaction's sender or receiver.

amountnumber · doubleOptional

Amount of the transaction. It should be a positive decimal number. eg. 1059.34

Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
post
/v1/transactions
200

OK

UPDATE Scope

Update Account

put

Updates an existing bank or cash account.

Authorizations
AuthorizationstringRequired

API Key Authentication

Path parameters
idstring · uuidRequired
Body
namestringOptional

Account name

ibanstringOptional

IBAN of this bank account.

currencystringOptional

3-letter currency code for the account. You can find available currencies here.

openingBalancenumber · double · nullableOptional

Opening Balance to start with an existing account. It should be a decimal number with 2 decimal points. eg. 1059.34

Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
put
/v1/accounts/{id}
200

OK

Update Transaction

put

Updates an existing transaction.

Authorizations
AuthorizationstringRequired

API Key Authentication

Path parameters
idstring · uuidRequired
Body
descriptionstringOptional

Description of the transaction

transactionTimestampinteger · int64Optional

Epoch timestamp for the transaction date and time. If you don't know the timestamp, you can also provice transactionDate. If both of the fields are provided, transactionTimestamp will be used.

transactionDatestringOptional

Datetime with timezone for the transaction date and time. You can also provide transactionTimestamp. If both of the fields are provided, transactionTimestamp will be used.

transactionTypestringOptional

Type of the transaction. If it is an incoming money, use Money In; if it is an outgoing money, use Money Out

mathcingEntityIdstring · uuid · nullableOptional

32-character unique ID of the customer or supplier of the transaction's sender or receiver. If you don't know the ID, you can also provide mathcingEntityCode instead of this field. If both of them are provided, matchingEntityId will be used only.

mathcingEntityCodestringOptional

User-generated custom customer or supplier code of the transaction's sender or receiver.

amountnumber · double · nullableOptional

Amount of the transaction. It should be a positive decimal number. eg. 1059.34

Responses
200

OK

application/json
successbooleanOptional
errorsstring[] · nullableOptional
put
/v1/transactions/{id}
200

OK

Last updated